%% GRAPH: size in finite sample - NKPC - break in the parameters
clear;
%%load saved results 
label    = ['nkpc_kap_000.mat' ; 'nkpc_kap_050.mat'; 'nkpc_kap_100.mat';
            'nkpc_kap_150.mat' ; 'nkpc_kap_200.mat'; 'nkpc_kap_250.mat';
            'nkpc_kap_300.mat' ; 'nkpc_kap_350.mat'; 'nkpc_kap_400.mat';
            'nkpc_kap_450.mat' ; 'nkpc_kap_500.mat'; 'nkpc_kap_550.mat';
            'nkpc_kap_600.mat'];
kappa      = (0:.5:6)';
alpha      = [.10 .05];
sk         = length(kappa);
sa         = length(alpha);
ave_S      = zeros(sk,sa);
exp_S      = zeros(sk,sa);
qLL_S      = zeros(sk,sa);
GMM_S      = zeros(sk,sa);
Split_S    = zeros(sk,sa);
Split_KJLM = zeros(sk,sa);
Split_CLR  = zeros(sk,sa);
			
for i=1:sk
 load(label(i,:))
 ave_S(i,:)     = Size.GenS.ave(:);
 exp_S(i,:)     = Size.GenS.exp(:);
 qLL_S(i,:)     = Size.GenS.qLL(:);
 GMM_S(i,:)     = Size.GMM.S(:);
 Split_S(i,:)   = Size.Split.S(:);
 Split_KJLM(i,:)= Size.Split.KJLM(:);
 Split_CLR(i,:) = Size.Split.CLR(:);
end

D_label= 'break_par_gen.pdf';
kappa      = (0:.5:6)';
figure (31)
plot1=plot(kappa,GMM_S(:,sa),...
           kappa,ave_S(:,sa),...
           kappa,exp_S(:,sa),...
           kappa,qLL_S(:,sa),...
           kappa,Split_CLR(:,sa),...
   'LineWidth',3.0,'MarkerSize',5);
set(plot1(1),'LineWidth',2,'Color',[0 0 1]);
set(plot1(2),'LineStyle',':','LineWidth',4,'Color',[0 0 0]);
set(plot1(3),'LineWidth',3,'LineStyle','--','Color',[1 0 0]);
set(plot1(4),'LineStyle','-.','LineWidth',3,'Color',[0.749 0 0.749]);
set(plot1(5),'LineStyle','--','LineWidth',1,'Color',[0 0 0]);
set(gca,'XTick',0:1:sk ,'YTick',[5 10 15 20 25 30],'FontSize',14)
axis([0 max(kappa) 0 20])
xlabel('$\kappa$','Interpreter','latex','FontSize',16);
ylabel('rejection probability','FontSize',16);
legend('S','ave-S','exp-S','qLL-S','split-CLR','Location',[0.15 0.60 .56 .30]);
legend ('boxoff')
saveas(gcf,D_label(1,:), 'pdf')
    
%%
clear
label    = ['nkpc_phi_000.mat'; 'nkpc_phi_050.mat'; 'nkpc_phi_100.mat';
            'nkpc_phi_150.mat'; 'nkpc_phi_200.mat'; 'nkpc_phi_250.mat';
            'nkpc_phi_300.mat'; 'nkpc_phi_350.mat'; 'nkpc_phi_400.mat';
            'nkpc_phi_450.mat'; 'nkpc_phi_500.mat'; 'nkpc_phi_550.mat';
            'nkpc_phi_600.mat'; 'nkpc_phi_650.mat'; 'nkpc_phi_700.mat';
            'nkpc_phi_750.mat'; 'nkpc_phi_800.mat'];

phi        = 0:.5:8;
sp         = length(phi);
alpha      = [.10 .05];
sa         = length(alpha);
ave_S      = zeros(sp,sa);
exp_S      = zeros(sp,sa);
qLL_S      = zeros(sp,sa);
GMM_S      = zeros(sp,sa);
Split_S    = zeros(sp,sa);
Split_KJLM = zeros(sp,sa);
Split_CLR  = zeros(sp,sa);


for i=1:sp
 load(label(i,:))
 ave_S(i,:)     = Size.GenS.ave(:);
 exp_S(i,:)     = Size.GenS.exp(:);
 qLL_S(i,:)     = Size.GenS.qLL(:);
 GMM_S(i,:)     = Size.GMM.S(:);
 Split_S(i,:)   = Size.Split.S(:);
 Split_KJLM(i,:)= Size.Split.KJLM(:);
 Split_CLR(i,:) = Size.Split.CLR(:);
end

D_label= 'break_var_gen.pdf';
phi        = 0:.5:8;
figure (31)
plot1=plot(phi,GMM_S(:,sa),...
           phi,ave_S(:,sa),...
           phi,exp_S(:,sa),...
           phi,qLL_S(:,sa),...
           phi,Split_CLR(:,sa),...
   'LineWidth',3.0,'MarkerSize',5);
set(plot1(1),'LineWidth',2,'Color',[0 0 1]);
set(plot1(2),'LineStyle',':','LineWidth',4,'Color',[0 0 0]);
set(plot1(3),'LineWidth',3,'LineStyle','--','Color',[1 0 0]);
set(plot1(4),'LineStyle','-.','LineWidth',3,'Color',[0.749 0 0.749]);
set(plot1(5),'LineStyle','--','LineWidth',1,'Color',[0 0 0]);
set(gca,'XTick',0:1:sp ,'YTick',[5 10 15 20 25 30],'FontSize',14)
axis([0 max(phi) 0 20])
xlabel('$\phi$','Interpreter','latex','FontSize',16);
ylabel('rejection probability','FontSize',16);
legend('S','ave-S','exp-S','qLL-S','split-CLR','Location',[0.15 0.60 .56 .30]);
legend ('boxoff')
saveas(gcf,D_label(1,:), 'pdf')

%% 
clear
abel    = ['nkpc_phikap_000.mat'; 'nkpc_phikap_050.mat'; 'nkpc_phikap_100.mat';
           'nkpc_phikap_150.mat'; 'nkpc_phikap_200.mat'; 'nkpc_phikap_250.mat';
           'nkpc_phikap_300.mat'; 'nkpc_phikap_350.mat'; 'nkpc_phikap_400.mat';
           'nkpc_phikap_450.mat'; 'nkpc_phikap_500.mat'; 'nkpc_phikap_550.mat';
           'nkpc_phikap_600.mat'; 'nkpc_phikap_650.mat'; 'nkpc_phikap_700.mat';
           'nkpc_phikap_750.mat'; 'nkpc_phikap_800.mat'];

phi        = 0:.5:8;
sp         = length(phi);
alpha      = [.10 .05];
sa         = length(alpha);
ave_S      = zeros(sp,sa);
exp_S      = zeros(sp,sa);
qLL_S      = zeros(sp,sa);
GMM_S      = zeros(sp,sa);
Split_S    = zeros(sp,sa);
Split_KJLM = zeros(sp,sa);
Split_CLR  = zeros(sp,sa);

for i=1:sp
 load(label(i,:))
 ave_S(i,:)     = Size.GenS.ave(:);
 exp_S(i,:)     = Size.GenS.exp(:);
 qLL_S(i,:)     = Size.GenS.qLL(:);
 GMM_S(i,:)     = Size.GMM.S(:);
 Split_S(i,:)   = Size.Split.S(:);
 Split_KJLM(i,:)= Size.Split.KJLM(:);
 Split_CLR(i,:) = Size.Split.CLR(:);
end

D_label= 'break_var_par_gen.pdf';
phi        = 0:.5:8;
figure (41)
plot1=plot(phi,GMM_S(:,sa),...
           phi,ave_S(:,sa),...
           phi,exp_S(:,sa),...
           phi,qLL_S(:,sa),...
           phi,Split_CLR(:,sa),...
   'LineWidth',3.0,'MarkerSize',5);
set(plot1(1),'LineWidth',2,'Color',[0 0 1]);
set(plot1(2),'LineStyle',':','LineWidth',4,'Color',[0 0 0]);
set(plot1(3),'LineWidth',3,'LineStyle','--','Color',[1 0 0]);
set(plot1(4),'LineStyle','-.','LineWidth',3,'Color',[0.749 0 0.749]);
set(plot1(5),'LineStyle','--','LineWidth',1,'Color',[0 0 0]);
set(gca,'XTick',0:1:phi(sp) ,'YTick',[5 10 15 20 25 30],'FontSize',14)
axis([0 max(phi) 0 20])
xlabel('$\kappa=2, \phi$','Interpreter','latex','FontSize',16);
ylabel('rejection probability','FontSize',16);
legend('S','ave-S','exp-S','qLL-S','split-CLR','Location',[0.15 0.60 .56 .30]);
legend ('boxoff')
saveas(gcf,D_label(1,:), 'pdf')
    


	
	