function [CV_GenS, CV_GenStilde] = Cvalue_GenS(k_z,k_zmx,alpha)
%pvalue_CLR returns the p-value for CLR tests
%   k_z      = number of instruments
% k_zmx      = number of overidentification restrictions
% alpha      = vector of significance level


%---Table: Critical values for GenS-S and GenStilde-S tests
tabCV.ave   = importdata('Table_bb_ave.mat');
tabCV.exp   = importdata('Table_bb_exp.mat');

pp=1;   %  if trim=.15, then pp=1; if trim=.2, then pp=2;
CV.ave  = squeeze(tabCV.ave(pp,:,:));
CV.exp  = squeeze(tabCV.exp(pp,:,:));
CV.qLL  = importdata('table_qLLS_c10.mat');
clear tabCV

stab    = size(CV.ave,2);
r_bs    = 1+ sum(1:k_z)+ (k_zmx);     % row position on the c.v. table
CV_GenS.ave = CV.ave(r_bs, 1 + stab*(1-(alpha(:))));
CV_GenS.exp = CV.exp(r_bs, 1 + stab*(1-(alpha(:))));
CV_GenS.qLL = CV.qLL(r_bs, 1 + stab*(1-(alpha(:))));  

r_bb     = 1+ sum(1:k_z);
CV_GenStilde.ave = CV.ave(r_bb, 1 + stab*(1-(alpha(:))));
CV_GenStilde.exp = CV.exp(r_bb, 1 + stab*(1-(alpha(:))));
CV_GenStilde.qLL = CV.qLL(r_bb, 1 + stab*(1-(alpha(:))));  
end

