function CR_GMM_CRL = pvalue_CLR(p,k_zmx,L,GMM_CRL,GMM_rk)
%pvalue_CLR returns the p-value for CLR tests
%   p        = number of parameters
% k_zmx      = number of overidentification restrictions
% L          = number of grid of points  
%     GMM_CRL= CLR statistic  (vector entry) 
%     GMM_rk = rank statistic (vector entry)


tabCLR  = importdata('table_CLR.mat');
TabCLR  = squeeze(tabCLR(p,k_zmx,:,:)) ; 
clear tabCLR

P_CRL1 = zeros(L,1);
for j=1:L
    
    h1=1;
    h2=2;
    while((TabCLR(h1,1)<=GMM_rk(j)) && (GMM_rk(j)<=10000))
        h1=h1+1;
    end
    while(TabCLR(h1,h2)<=GMM_CRL(j) && h2<=200)
        h2=h2+1;
    end
    P_CRL1(j) = TabCLR(1,h2);
    
end

CR_GMM_CRL = P_CRL1;

end

